package esercizio2;
import java.awt.BorderLayout;
import java.awt.Dimension;
import java.io.File;

import javax.swing.BoxLayout;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JSplitPane;
import javax.swing.JTextArea;

public class ChatFrame {
	private static final String resources = "resources";
	private static Contatto[] leggiContatti() {
		Contatto c1 = new Contatto(new ImageIcon(resources+File.separator+"img1.png"), "Mario Rossi");
		Contatto c2 = new Contatto(new ImageIcon(resources+File.separator+"img2.png"), "Maria Bianchi");
		Contatto c3 = new Contatto(new ImageIcon(resources+File.separator+"img3.png"), "Francesco Verdi");
		Contatto c4 = new Contatto(new ImageIcon(resources+File.separator+"img4.png"), "Simona Gialli");
		Contatto[] contatti = { c1, c2, c3, c4 };
		return contatti;
	}

	public static void main(String[] args) {
		JFrame f = new JFrame("Titolo");
		JPanel left = new JPanel();
		left.setLayout(new BoxLayout(left,BoxLayout.PAGE_AXIS));
		for(Contatto c : leggiContatti())
			left.add(c);
		JPanel right = new JPanel();
		JScrollPane scroll = new JScrollPane(left);
		
		right.setLayout(new BorderLayout());
		JTextArea allMessages = new JTextArea();
		allMessages.setEditable(false);
		allMessages.setLayout(new BoxLayout(allMessages, BoxLayout.PAGE_AXIS));
		JScrollPane scrollAllMessages = new JScrollPane(allMessages);
		right.add(scrollAllMessages, BorderLayout.CENTER);
		
		JPanel southArea = new JPanel();
		JTextArea message = new JTextArea();
		message.setLineWrap(true);
		JScrollPane messageScroll = new JScrollPane(message);
		
		southArea.setLayout(new BoxLayout(southArea, BoxLayout.LINE_AXIS));
		southArea.add(messageScroll);
		southArea.setPreferredSize(new Dimension(550,100));
		JButton invia = new JButton("Invia");		
		southArea.add(invia);
		right.add(southArea, BorderLayout.PAGE_END);

		JSplitPane splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT, scroll, right);
		splitPane.setDividerSize(0);
		splitPane.setDividerLocation(200);
		f.add(splitPane);
		f.setSize(800, 500);
		f.setMinimumSize(new Dimension(400,400));
		f.setVisible(true);
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
}
