package esercizio1;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.GridLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextArea;

public class Main {
	
	public static void main(String[] args) {
		Pulsante[] pulsanti = {
			new Pulsante("AC"),
			new Pulsante("+/-"),
			new Pulsante("%"),
			new Pulsante("/", Pulsante.OPERAZIONE),
			new Pulsante("7", Pulsante.NUMERO),
			new Pulsante("8", Pulsante.NUMERO),
			new Pulsante("9", Pulsante.NUMERO),
			new Pulsante("X", Pulsante.OPERAZIONE),
			new Pulsante("4", Pulsante.NUMERO),
			new Pulsante("5", Pulsante.NUMERO),
			new Pulsante("6", Pulsante.NUMERO),
			new Pulsante("-", Pulsante.OPERAZIONE),
			new Pulsante("1", Pulsante.NUMERO),
			new Pulsante("2", Pulsante.NUMERO),
			new Pulsante("3", Pulsante.NUMERO),
			new Pulsante("+", Pulsante.OPERAZIONE),
			new Pulsante("0", Pulsante.NUMERO),
			new Pulsante(","),
			new Pulsante("mod"),
			new Pulsante("=", Pulsante.OPERAZIONE),
		};
		
		JFrame f = new JFrame("Calcolatrice");
		JTextArea numero = new JTextArea();
		numero.setFont(new Font("arial", Font.PLAIN, 48));
		numero.setPreferredSize(new Dimension(300,50));
		JPanel pannelloPrincipale = new JPanel();
		pannelloPrincipale.setLayout(new GridLayout(5,4,1,1));		
		for(int i = 0; i < pulsanti.length; i++) {
			pannelloPrincipale.add(pulsanti[i]);			
		}
		
		f.add(numero, BorderLayout.PAGE_START);
		f.add(pannelloPrincipale, BorderLayout.CENTER);
		f.setSize(300, 450);
		f.setMinimumSize(new Dimension(300,450));
		f.setVisible(true);
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
}
