package esercizio1;

import java.awt.Color;
import java.awt.Dimension;

import javax.swing.JButton;


public class Pulsante extends JButton {
	public static final int GENERICO = 0;
	public static final int OPERAZIONE = 1;
	public static final int NUMERO = 2;	
	
	private int type;
	
	private void init(String name, int type) {
		setPreferredSize(new Dimension(60,100));
		setText(name);
		this.type = type;		
		switch(type) {
			case OPERAZIONE:
				setBackground(new Color(255,125,0));
				setForeground(Color.WHITE);
				break;
			case NUMERO:
				setBackground(new Color(200,200,200));
				break;
			default:
				type = GENERICO;
		}
		setOpaque(true);
		setBorderPainted(false);			
	}
	
	public Pulsante(String name) {
		init(name, GENERICO);
	}
	
	public Pulsante(String name, int type) {
		init(name, type);
	}

	public int getType() {
		return type;
	}	
}
